# Versión 3.0.3.1

Fecha lanzamiento: 28/04/2024

* Solución de problemas con cadenas no traducibles en algunas ventanas.

# Versión 3.0.3.0

Fecha lanzamiento: 28/04/2024

* Actualizado el manual con todos los cambios.

Mirar el manual en esta versión para obtener todos los cambios.

# Versión 3.0.2.1

Fecha lanzamiento: 09/08/2023

* Solucionado problemas con los sonidos

# Versión 3.0.2.0

Fecha lanzamiento: 08/08/2023

* Agregado el poder cambiar de rama de desarrollo de TCA-Media Downloader.

En opciones / general tendremos un botón llamado Alternar rama de desarrollo.

Si pulsamos dicho botón nos permitirá cambiar entre la rama final que es la estable y la beta que es la que recibe las novedades antes pero puede contener errores.

* Solucionado la extracción de información de canales con nombre

Ahora los canales que tengan nombre en vez de id se mostrarán correctamente.

* Se a agregado la posibilidad también de añadir a la base de datos desde los resultados de la búsqueda.

Ahora podremos dar intro en un resultado ya sea de videos, playlist o canales y la ultima opción del menú contextual nos permitirá interactuar con la base de datos de favoritos.

Tendremos las mismas opciones que desde los diálogos de información de video, playlist o canales.

* Agregado Ctrl + R y Ctrl + D en el campo de URL.

Ahora en la pestaña URL si ponemos una URL de un video de YouTube podremos pulsar dichas combinaciones ya sea para reproducir o descargar sin necesidad de desplegar el menú contextual.

* Solucionado problemas con canales que no mostraban PlayList.

* Agregado contemplación de URLs de shorts de YouTube.

Ahora cuando introduzcamos una URL en la pestaña URLs y que dicha URL coincida con
una de tipo shorts se ofrecerán las opciones iguales que si fuese un video de YouTube y
así poder interactuar con dichas URL como si fuese un video.

* Agregado contemplación de URLs de clips de YouTube.

Ahora si ponemos una URL de un clip de YouTube en la pestaña URLS nos dará la posibilidad de descargar con formato o original.

También nos permitirá obtener información del clip mezclado con la ficha original del video donde se extrajo el clip.

Los clips no pueden ser reproducidos con la combinación Ctrl + R ni ser reproducidos.

Los clips tampoco pueden ser añadidos a la pestaña favoritos.

* Agregado en DATA un directorio DEV.

En este directorio se incluye la documentación para que los traductores trabajen en ella, los lenguajes oficiales con las cadenas incluidas y que faltan por traducir y el main.pot para nuevas plantillas de idioma.

A partir de ahora los idiomas vendrán con traducción automática en los idiomas oficiales hasta recibir las traducciones que se encuentran en este directorio.

Solo se traducirán las cadenas que se hayan agregado de una versión a otra de manera automática. De esta manera siempre el programa estará traducido y el traductor oficial puede ir con más tranquilidad en sus traducciones.

En este directorio esta el trabajo del traductor oficial junto a las cadenas que faltan por traducir.

* Agregada la posibilidad de elegir la rama de la librería YT-DLP.

Ahora en opciones en la categoría General podremos elegir la rama a usar de la librería YT-DLP.

Podremos entre Stable y Nightly.

La versión Stable es la versión final de la librería y la Nightly es una versión que va incorporando las novedades pero que no esta tan probada como la Stable.

* Se agrego la comprobación si existen actualizaciones de YT-DLP.

Ahora si buscamos actualizaciones también comprobara aparte de si hay de la aplicación si hay de la librería YT-DLP.

En caso de que haya nos informara. Decir que por defecto siempre primero comprueba si hay actualización de la aplicación y si hay ya no comprobara de YT-DLP por que en las actualizaciones siempre se actualiza YT-DLP con la versión más reciente de la rama Stable.

En caso de no encontrar actualización de aplicación continuara comprobando si hay de YT-DLP y nos informara.

Si actualizamos la aplicación y tenemos seleccionada la rama Nightly de YT-DLP tendremos que buscar nuevamente actualización después de instalar la aplicación para descargar la rama correspondiente.

Esto ultimo es por que las actualizaciones de aplicación solo llevan la rama Stable.

* Se agrega a las notificaciones de actualización también notificaciones de actualización para YT-DLP.

Si tenemos activadas las notificaciones de actualización ahora también buscara de la librería YT-DLP y si encuentra nos dará el número de versión.

Sucede igual que si buscamos actualización en el menú si encuentra actualización de aplicación ya no buscara de YT-DLP hasta que no actualicemos la aplicación.

* Agregada la posibilidad de elegir el inicio en la pestaña favoritos en opciones.

* Arreglado compartir con MASTODON.

* Actualizada la librería YT-DLP a la versión 2023.07.06.

* Agregado idioma Ucraniano como oficial.

* Se han actualizado librerías internas para un mejor funcionamiento de la aplicación.

* Solucionados errores internos.

* Actualizadas traducciones.

# Versión 3.0.1.2

Fecha lanzamiento: 09/07/2023

* Agregada la posibilidad de elegir el inicio en la pestaña favoritos en opciones.

* Arreglado compartir con MASTODON.

* Actualizada la librería YT-DLP a la versión 2023.07.06.

* Se han actualizado librerías internas para un mejor funcionamiento de la aplicación.

* Solucionados errores internos.

* Actualizadas traducciones.

# Versión 3.0.1.1

Fecha lanzamiento: 08/07/2023

* Agregado contemplación de URLs de shorts de YouTube.

Ahora cuando introduzcamos una URL en la pestaña URLs y que dicha URL coincida con
una de tipo shorts se ofrecerán las opciones iguales que si fuese un video de YouTube y
así poder interactuar con dichas URL como si fuese un video.

* Actualizada la librería YT-DLP a la versión 2023.07.06.

* Se han actualizado librerías internas para un mejor funcionamiento de la aplicación.

* Solucionados errores internos.

* Actualizadas traducciones.

# Versión 3.0.1.0

Fecha lanzamiento: 04/07/2023

* Nueva pestaña llamada Favoritos (Alt + 4).

Ahora podremos guardar aquellos vídeos, playlist o canales que deseemos en esta pestaña para poder ser consultados de una manera rápida.

Cuando caemos en esta pestaña tendremos 3 partes:

Alt + F: Nos dejara en el árbol donde podremos interactuar con las ramas.

El árbol tiene la base llamada favoritos en la cual si pulsamos intro podremos borrar la base de datos por completo, o hacer y restaurar una copia de seguridad de la base de datos.

Tiene una rama llamada Vídeos, en la cual si pulsamos intro podremos crear listas de vídeos, si pulsamos dicha opción se abrirá una ventana para introducir el nombre de la lista.

Cuando tengamos listas de vídeos agregadas podremos desplegar la rama y tendremos subramas con las cuales si pulsamos intro nos aparecerá la posibilidad de editar, borrar o vaciar dicha lista de vídeos.

También tenemos dos ramas en el árbol llamadas PlayList y Canales, si alguna de estas ramas tiene contenido podremos pulsar intro en ellas y borrar su contenido.

Alt + C: Nos deja en la zona de contenido, en esta zona se mostrará el contenido de la lista de vídeos que tengamos seleccionada, de PlayList o Canales.

En esta zona, si pulsamos intro en algún item, se nos mostrará un menú correspondiente a la categoría vídeos, playlist o canales pudiendo interactuar con ellos.

Alt + B: Nos llevara a un cuadro donde podremos hacer búsquedas en la rama que estemos, en este cuadro podremos poner indiferentemente en minúsculas o mayúsculas lo que estemos buscando y pulsar intro para que nos dé el resultado en la zona de consultas, podremos interactuar con el resultado pulsando intro en él.

El campo de búsqueda permite introducir un texto sin necesidad de que sea completo, por ejemplo, si buscamos TCA nos devolverá todos los vídeos si es en la rama que estamos que contengan dichas letras.

Podemos volver la búsqueda a valores originales y restaurar la zona de contenido rápidamente pulsando en el cuadro de búsqueda Ctrl + B o borrando el texto que tengamos escrito y pulsando intro, también desde el área de contenido si hay una búsqueda echa si pulsamos Ctrl + B nos volverá a valores originales.

Para agregar contenido a la base de datos, se hace desde la información de cada rama. Por ejemplo si deseamos agregar un vídeo a una lista que tengamos creada desde la pestaña búsqueda, cuando tengamos resultados de la búsqueda en el item que estemos pulsamos intro y damos a información del vídeo, en la ventana que se abre ahora tendremos un botón llamado Añadir a una lista de vídeos el cual si lo pulsamos nos desplegará un menú con todas las listas de vídeo que tenemos creadas en la base de datos y si elegimos una el vídeo se abrá guardado en dicha lista.

Podemos agregar el mismo vídeo a varias listas pero solo se puede agregar una vez por lista.

En cuanto a las playlist y canales, es similar, yendo al diálogo de información y nos aparecerá un botón llamado Añadir a favoritos. Si lo pulsamos se agregará a la rama de la base de datos que corresponda, el botón entonces pasará a llamarse Quitar de favoritos y mientras no borremos desde la pestaña favoritos o desde el diálogo de información dicha playlist o canal estarán en la base de datos.

Las ramas playlist y canales solo guardarán un mismo item, pudiendo guardar varios con el mismo nombre mientras la url sea distinta.

En el área de consulta podremos pulsar Ctrl + I para saber en que posición estamos y Ctrl + F para movernos rápidamente al item que deseemos.

Se a agregado la posibilidad también de añadir a la base de datos desde los resultados de la búsqueda.

Ahora podremos dar intro en un resultado ya sea de vídeos, playlist o canales y la última opción del menú contextual nos permitirá interactuar con la base de datos de favoritos.

Tendremos las mismas opciones que desde los diálogos de información de vídeo, playlist o canales.

* Agregado Ctrl + R y Ctrl + D en el campo de URL.

Ahora en la pestaña URL si ponemos una URL de un vídeo de YouTube podremos pulsar dichas combinaciones ya sea para reproducir o descargar sin necesidad de desplegar el menú contextual.

* Se a agregado en el cuadro combinado calidad 64 Kbps.

Tendremos una nueva calidad para ahorrar en datos de descarga. Tener en cuenta que la calidad del audio también se reduce.

* Agregada la posibilidad de ver comentarios en un vídeo (experimental).

Ahora cuando abramos el diálogo de información del vídeo aparecerá un botón si dicho vídeo tiene comentarios.

El botón se llama Ver o guardar comentarios y si lo pulsamos nos dejara ver o guardar los comentarios.

Estas opciones son experimentales y se a detectado que en ocasiones puede cerrar la aplicación por lo que si hay descargas en marcha se le avisara al usuario que puede perder la información que se esté descargando.

Si elegimos ver comentarios aparecerá una ventana de extracción de comentarios en la cual nos avisará con un porcentaje de lo que lleva extraído, podemos cancelar la extracción dando al botón cancelar de la ventana.

Una vez termina la extracción se abrirá una ventana con todos los comentarios, en la ventana aparecerán los comentarios en un control de árbol.

Podemos desplegar el árbol y navegar por los comentarios, si el comentario tiene respuestas igualmente podemos desplegarlo para ver sus respuestas.

Aquellos comentarios muy largos, aparecerán con un ** al final ya que no cabe todo el comentario.

Para ello existe una combinación de teclas para que nuestro lector lo lea y es Ctrl + T.

Igualmente, si tabulamos caeremos en un cuadro de solo lectura donde tendremos el comentario íntegro junto con el nombre de quien publicó, la fecha y la cantidad de  me gusta.

En esta ventana hay un botón llamado guardar que lo que hace es lo mismo que en la ventana de información del vídeo en el menú contextual y es guardar los comentarios en un html accesible.

La estructura del html es la siguiente:

Nivel de encabezado 1 para el titulo del vídeo.

Nivel de encabezado 2 para el comentario principal.

Nivel de encabezado 3 para las respuestas al comentario.

Toda la ventana tiene atajos para movernos rápidamente por ella:

Alt + L: Nos deja en el árbol de comentarios.
Alt + D: Nos lleva rápidamente a los detalles del comentario que esté enfocado.
Alt + G: Guarda un html con los comentarios.
Alt + C, Alt + F4 o Escape: Cierra la ventana.

* Nuevas funciones en los menús contextuales y mejoras.

Se han corregido los menús contextuales en la zona de descarga, no saliendo ahora el reproducir en aquellos ítems que no sean vídeos.

Se a corregido que si solo hay un resultado de vídeos no salga el menú para descarga múltiple, tampoco si solo hay un vídeo en la base de datos no saldrá.

Se a agregado a aquellos menús que se adecúan al contexto nuevas opciones como:

Abrir en la WEB, que nos abrirá en nuestro navegador el vídeo, playlist o canal que tengamos seleccionado llevándonos a YouTube.

Copiar enlace del video al portapapeles, de la PlayList o Canal: Copia el enlace al portapapeles.

Se agrego un submenú llamado Compartir.

Dicho menú nos permitirá compartir la url con Twitter, Facebook, Telegram, WhatsApp, Mastodon o por código QR con nuestro móvil.

Si elegimos Genera código QR para abrir con el móvil se abrirá una ventana en el centro de la pantalla que contendrá un código QR, si con el lector de nuestro móvil apuntamos a ella una vez lo detecte se abrirá en nuestro dispositivo dicha URL ya sea de vídeo, playlist o canal.

Comentar que en Facebook solo deja compartir la URL, por lo que no podremos añadir automáticamente texto, en la pantalla a la que nos dirige, sí podremos añadir información a mano.

En Mastodon nos pedirá nuestra URL de la instancia en la que estamos, podremos guardarla o modificarla, si lo deseamos. Si la guardamos quedará ya predefinida y no tendremos que agregarla cada vez que queramos compartir con Mastodon.

Advertir que para compartir por cualquiera de las redes sociales, antes tenemos que estar con la sesión iniciada en nuestro navegador, al igual que será más fácil compartir si tenemos las aplicaciones instaladas tanto de WhatsApp como Unigram.

* Agregadas nuevas opciones en el diálogo ajustes.

En la categoría general se ha agregado:

Comprobar si existen actualizaciones y notificar: En este cuadro combinado podemos elegir si queremos que busque actualizaciones y nos notifique con una notificación de Windows.

Podremos elegir o tener desactivada esta opción o que busque si hay actualizaciones en cualquiera de los tiempos que hay en el cuadro combinado.

Cuando encuentre una actualización, se avisará por una notificación de Windows informando que encontró una actualización y su versión.

Esta opción no descarga actualizaciones, solo comprueba cada x tiempo, que hayamos seleccionado, si existen actualizaciones, por lo que tendremos que ir a buscar actualizaciones para descargarla.

Las notificaciones se nos mostrarán cada x tiempo seleccionado hasta que actualicemos.

En la categoría descargas se ha agregado:

Tiempo para extraer información (transcurrido el tiempo dará error si no se obtuvo toda la información, válido para grandes PlayList o Canales): En este cuadro combinado podremos aumentar el tiempo que tardará en decir que no se a podido obtener la información.

Por defecto son 2 minutos en los cuales se intenta obtener la información, ya que es un tiempo prudencial y más que suficiente para la mayoría de PlayList y Canales.

En caso de necesitar más tiempo, porque las Playlist o canales tengan más de 5000 vídeos, podremos aumentar el tiempo de obtención de datos.

* Añadida protección contra la descarga de transmisiones en directo en todos los diálogos.

Se a agregado una protección en la cual se detectara que si la URL que deseamos descargar es una transmisión en vivo no nos dejará.

Esto daba problemas y en próximas versiones se dará una solución alternativa.

* Se han actualizado librerías internas para un mejor funcionamiento de la aplicación.

* Solucionados errores internos.

* Actualizadas traducciones.

# Versión 3.0.0.2

Fecha lanzamiento: 21/06/2023

* Actualización de la librería YT-DLP.

Se a actualizado a la versión 2023.06.21

* Solucionados algunos errores internos.

# Versión 3.0.0.1

Fecha lanzamiento: 16/06/2023

* Corregido errores en canales vacíos.

Se a implementado una nueva forma de gestionar los datos obtenidos de YouTube,
ahora la información de los videos se debería mostrar correctamente en los
canales, playlist y selección de videos para descargar.

* Solucionados algunos errores internos.

# Versión 3.0.0.0

Fecha lanzamiento: 12/06/2023

* Versión inicial.